/*
 *
 * Created on June 28, 2005, 12:45 PM
 */

package company;

import java.util.Set;

import javax.persistence.*;

/**
 *
 * @author Markus Fuchs
 */
@Entity
public class Employee {

    @Id
    private long id;

    @ManyToOne @JoinColumn(name="MANAGER_ID")
    private Employee manager;

    @OneToMany(cascade=CascadeType.ALL, mappedBy="team")
    private Set<company.Employee> team;

    public long getId() {
        return id;
    }
    public void setId(long id) {
        this.id = id;
    }

    public Employee getManager() {
        return manager;
    }
    public void setManager(Employee manager) {
        this.manager = manager;
    }

    public Set<company.Employee> getTeam() {
        return team;
    }
    public void setTeam(Set<company.Employee> team) {
        this.team = team;
    }
}
